package fr.uca.iut.clfreville2.teaiswarm.network

import fr.uca.iut.clfreville2.teaiswarm.model.Repository
import fr.uca.iut.clfreville2.teaiswarm.model.RepositoryIdentifiable
import fr.uca.iut.clfreville2.teaiswarm.model.VersionedFile

interface RepositoryService {

    suspend fun listActiveRepositories(username: String, page: Int): List<Repository>

    suspend fun listFileContents(repository: RepositoryIdentifiable, filePath: String): List<VersionedFile>
}
